> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Flow Desktop Api Key

> Mint or acknowledge a Flow desktop Public API key for the registered device.



## OpenAPI

````yaml /api-reference/openapi.fr.json post /flow/desktop-api-key
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /flow/desktop-api-key:
    post:
      tags:
        - flow
      summary: Create Flow Desktop Api Key
      description: >-
        Mint or acknowledge a Flow desktop Public API key for the registered
        device.
      operationId: create_flow_desktop_api_key_flow_desktop_api_key_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FlowDesktopApiKeyRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowDesktopApiKeyResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    FlowDesktopApiKeyRequest:
      properties:
        device_id:
          type: string
          maxLength: 64
          minLength: 1
          title: Device Id
        device_name:
          type: string
          maxLength: 128
          minLength: 1
          title: Device Name
        client:
          anyOf:
            - type: string
              maxLength: 64
            - type: 'null'
          title: Client
        app_version:
          anyOf:
            - type: string
              maxLength: 32
            - type: 'null'
          title: App Version
      type: object
      required:
        - device_id
        - device_name
      title: FlowDesktopApiKeyRequest
    FlowDesktopApiKeyResponse:
      properties:
        key_id:
          type: string
          format: uuid
          title: Key Id
        created:
          type: boolean
          title: Created
        masked_key:
          type: string
          title: Masked Key
        device_id:
          type: string
          title: Device Id
        name:
          type: string
          title: Name
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        api_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Key
      type: object
      required:
        - key_id
        - created
        - masked_key
        - device_id
        - name
      title: FlowDesktopApiKeyResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/internal/v1/token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.